/*
 * 18:01:22 21/05/99
 *
 * Laser.java - Extends Ship.class
 * Copyright (C) 1999 Romain Guy
 * powerteam@chez.com
 * www.chez.com/powerteam
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.retaliator;

import java.awt.Image;
import java.awt.Dimension;
import java.awt.image.ImageObserver;

/**
 * Laser is a class extending Ship which allow you to create a laser burst.
 * @see Player
 * @author Romain Guy
 * @version 1.0
 */

public class Laser extends Ship
{
  private int amount;

  /**
   * The constructor is like the Ship's one but needs a supplementary <code>int</code>.
   * This value is used to determine how many lasers are in the 'burst'.
   * @param amount The amount of lasers in the burst
   * @param img The Image used to represent one laser
   * @param width The width of the area where the Laser will be painted
   * @param height The height of the area where the Laser will be painted
   * @param o The ImageObserver used to paint the Laser
   */

  public Laser(int amount, Image img, int width, int height, ImageObserver o)
  {
    super(img, width, height, o);
    this.amount = amount;
  }

  /**
   * Return the amount of lasers present in the 'burst'.
   */

  public int getAmount()
  {
    return amount;
  }

  /**
   * Set the amount of lasers in the burst.
   * @param amount Amount of lasers
   */

  public void setAmount(int amount)
  {
    this.amount = amount;
  }
}

// End of Laser.java
